Subject: Re: LessTif build under Cygwin32?
From: [email-masked] (Rick Scott)

17 Jan 1999 11:02:06 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: Rick Scott <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; CHARSET=US-ASCII
To: Francois Felix Ingrand <[email-masked]>
Cc: "Kilfoyle, Greg" <[email-masked]>, [email-masked],
        [email-masked], [email-masked]

On 17-Jan-99 at 07:29, Francois Felix Ingrand ([email-masked]) wrote:
> Rick Scott <[email-masked]> writes:
> 
> > > 
> > > Same here... just comment the 2 lines which overide the x-lib ans
> > > x-include. 
> > 
> > You could just use the configure options
> > --x-includes=DIR --x-libraries=DIR
> > 
> 
> I do use this... but later in the .configure, some test overide them with
> Xfree86 values... Checking emx or something like that (I am under Solaris,
> not NT now).

You are correct, here is the definition of AM_EMX.  I think there should
be a "test -z" before each of these assignments, nothing should be
overriding values supplied on the command line.  I have to consider this
an automake bug for now, hence the addition of the automake mailing list.
Let's wait and see what they have to say before we attempt a fix.....

	Rick

AC_DEFUN(AM_EMX,  
[AC_CACHE_CHECK(for EMX environment, am_cv_emx,
[cat > conftest.$ac_ext << 'EOF' 
int main () { 
/* Nothing.  */
return 0; }
EOF
if AC_TRY_EVAL(ac_link -Zexe) && test -s conftest.exe; then
   am_cv_emx=yes
   x_includes=$X11ROOT/XFree86/include
   x_libraries=$X11ROOT/XFree86/lib
else
   am_cv_emx=no
fi
rm -f conftest*])
EXEEXT=
test "$am_cv_emx" = yes && EXEEXT=.exe
AC_SUBST(EXEEXT)])

> 
> 
> -- 
> -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> Francois Felix INGRAND         "Pourquoi est ce que France Info nous donne
> mailto:[email-masked]              toutes les heures les cours de la bourse 
> WWW: <http://www.laas.fr/~felix>        et non pas le nombre de chomeurs?"
> 
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".